Tag Assignment
A tag assignment attaches a tag, which is a key with an optional value, to a workspace object such as a dashboard, notebook, Genie space or app. An object can have at most one assignment for each tag key. If the key belongs to a governed tag, the caller needs the ASSIGN permission on that governed tag, and the value must be one of its allowed values. See https://docs.databricks.com/aws/en/admin/governed-tags/.
TagAssignment object
A tag assignment attaches a tag, which is a key with an optional value, to a workspace object such as a dashboard, notebook, Genie space or app. An object can have at most one assignment for each tag key. If the key belongs to a governed tag, the caller needs the ASSIGN permission on that governed tag, and the value must be one of its allowed values. See https://docs.databricks.com/aws/en/admin/governed-tags/.
- entity_typestringImmutable
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringImmutable
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- tag_keystring[ 1 .. 256 ] charactersImmutable
The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed
- tag_valuestring<= 1000 characters
The value of the tag. If the value is omitted, the tag is assigned with its key only.
Get a tag assignment for an entity GA
GET
Get a tag assignment
API scopes: tags
Parameters
- entity_typestringRequiredpath
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringRequiredpath
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- tag_keystring[ 1 .. 256 ] charactersRequiredpath
The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed
Response
Returns the TagAssignment object.
List tag assignments for an entity GA
GET
List the tag assignments for an entity
API scopes: tags
Parameters
- entity_typestringRequiredpath
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringRequiredpath
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- page_sizeint32query
Optional. Maximum number of tag assignments to return in a single page
- page_tokenstringquery
Pagination token to go to the next page of tag assignments. Requests first page if absent.
Response
Returns a list of TagAssignment objects.
Create a tag assignment for an entity GA
POST
Create a tag assignment
API scopes: tags
Request body
- entity_typestringRequiredImmutable
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringRequiredImmutable
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- tag_keystring[ 1 .. 256 ] charactersRequiredImmutable
The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed
- tag_valuestring<= 1000 characters
The value of the tag. If the value is omitted, the tag is assigned with its key only.
Response
Returns the TagAssignment object.
Update a tag assignment for an entity GA
PATCH
Update a tag assignment
API scopes: tags
Parameters
- entity_typestringRequiredImmutablepath
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringRequiredImmutablepath
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- tag_keystring[ 1 .. 256 ] charactersRequiredImmutablepath
The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed
- update_maskstringRequiredquery
The comma-separated list of fields to update. Only
tag_valuecan be updated, because the entity type, entity ID and tag key identify the tag assignment.
Request body
- tag_valuestring<= 1000 characters
The value of the tag. If the value is omitted, the tag is assigned with its key only.
Response
Returns the TagAssignment object.
Delete a tag assignment for an entity GA
DELETE
Delete a tag assignment
API scopes: tags
Parameters
- entity_typestringRequiredpath
The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
- entity_idstringRequiredpath
The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
- tag_keystring[ 1 .. 256 ] charactersRequiredpath
The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed